#version 330 core

// Input vertex data
layout(location = 0) in vec3 vertexPosition_modelspace;
uniform ivec2 positionsRange; 
uniform float uf_zoomFactor;
uniform vec2 uv2_zoomWindowCenter;

void main(){

	gl_Position = vec4((2.0*vertexPosition_modelspace.xy/positionsRange.xy-(1.0-1.0/positionsRange.xy)) * uf_zoomFactor + uv2_zoomWindowCenter, -1.0, 1.0);
}

