#version 330 core

// Input vertex data
layout(location = 0) in vec2 pos;
layout(location = 1) in ivec4 neighbors;
layout(location = 2) in int flags;
//layout(location = 3) in int valence;

out VertexData
{
  vec2 pos;
  ivec4 neighbors;
  int flags;
  //int valence;
} outData;

void main(){

	gl_Position.xy = pos;
	outData.pos = pos;
	outData.neighbors = neighbors;
	outData.flags = flags;
	//outData.valence = valence;
}

